## ros-kinetic-rqt-runtime-monitor 0.5.7

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(rqt_runtime_monitor)
# Load catkin and all dependencies required for this package
find_package(catkin REQUIRED)
catkin_package()
catkin_python_setup()

install(FILES plugin.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(DIRECTORY resource
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(PROGRAMS scripts/rqt_runtime_monitor
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== debian/changelog ===
ros-kinetic-rqt-runtime-monitor (0.5.7-0xenial) xenial; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Wed, 26 Apr 2017 07:00:00 -0000

ros-kinetic-rqt-runtime-monitor (0.5.6-0xenial) xenial; urgency=high

  * use Python 3 compatible syntax (#121 <https://github.com/ros-visualization/rqt_robot_plugins/pull/121>)

 -- Aaron Blasdel <ablasdel@gmail.com>  Tue, 24 Jan 2017 08:00:00 -0000

ros-kinetic-rqt-runtime-monitor (0.5.5-0xenial) xenial; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Wed, 02 Nov 2016 07:00:00 -0000

ros-kinetic-rqt-runtime-monitor (0.5.4-0xenial) xenial; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Mon, 19 Sep 2016 07:00:00 -0000

ros-kinetic-rqt-runtime-monitor (0.5.3-0xenial) xenial; urgency=high

  * fix Qt5 compatibility (#104 <https://github.com/ros-visualization/rqt_robot_plugins/pull/104>)

 -- Aaron Blasdel <ablasdel@gmail.com>  Mon, 16 May 2016 07:00:00 -0000

ros-kinetic-rqt-runtime-monitor (0.5.2-0xenial) xenial; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Fri, 29 Apr 2016 07:00:00 -0000

ros-kinetic-rqt-runtime-monitor (0.5.1-0xenial) xenial; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Thu, 28 Apr 2016 07:00:00 -0000

ros-kinetic-rqt-runtime-monitor (0.5.0-0xenial) xenial; urgency=high

  * Support Qt 5 (in Kinetic and higher) as well as Qt 4 (in Jade and earlier) (#101 <https://github.com/ros-visualization/rqt_robot_plugins/pull/101>)

 -- Aaron Blasdel <ablasdel@gmail.com>  Wed, 27 Apr 2016 07:00:00 -0000

ros-kinetic-rqt-runtime-monitor (0.4.3-0xenial) xenial; urgency=high

  * STALE is defined for indigo and later
  * Contributors: Michael Ferguson

 -- Aaron Blasdel <ablasdel@gmail.com>  Tue, 08 Mar 2016 08:00:00 -0000

ros-kinetic-rqt-runtime-monitor (0.4.2-0xenial) xenial; urgency=high

  * add support for stale state
  * Contributors: Michael Ferguson

 -- Aaron Blasdel <ablasdel@gmail.com>  Fri, 24 Jul 2015 07:00:00 -0000

ros-kinetic-rqt-runtime-monitor (0.4.1-0xenial) xenial; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Thu, 30 Apr 2015 07:00:00 -0000

ros-kinetic-rqt-runtime-monitor (0.4.0-0xenial) xenial; urgency=high

  * avoid marking items as stale when using sim time (#69 <https://github.com/ros-visualization/rqt_robot_plugins/issues/69>)
  * allow remapping diagnostics topic
  * update script to use full plugin name

 -- Aaron Blasdel <ablasdel@gmail.com>  Wed, 05 Nov 2014 08:00:00 -0000

ros-kinetic-rqt-runtime-monitor (0.3.7-0xenial) xenial; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Mon, 18 Aug 2014 07:00:00 -0000

ros-kinetic-rqt-runtime-monitor (0.3.6-0xenial) xenial; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Fri, 11 Jul 2014 07:00:00 -0000

ros-kinetic-rqt-runtime-monitor (0.3.5-0xenial) xenial; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Mon, 02 Jun 2014 07:00:00 -0000

ros-kinetic-rqt-runtime-monitor (0.3.4-0xenial) xenial; urgency=high

  * fix selection persistence across state transitions (#60 <https://github.com/ros-visualization/rqt_robot_plugins/pull/60>)

 -- Aaron Blasdel <ablasdel@gmail.com>  Wed, 07 May 2014 07:00:00 -0000

ros-kinetic-rqt-runtime-monitor (0.3.3-0xenial) xenial; urgency=high

  * improve usability: fix selecting items, maintain current scroll position (#59 <https://github.com/ros-visualization/rqt_robot_plugins/issues/59>)

 -- Aaron Blasdel <ablasdel@gmail.com>  Tue, 28 Jan 2014 08:00:00 -0000

ros-kinetic-rqt-runtime-monitor (0.3.2-0xenial) xenial; urgency=high

  * add groups for rqt plugins (ros-visualization/rqt_common_plugins#167 <https://github.com/ros-visualization/rqt_common_plugins/issues/167>)

 -- Aaron Blasdel <ablasdel@gmail.com>  Wed, 08 Jan 2014 08:00:00 -0000

ros-kinetic-rqt-runtime-monitor (0.3.1-0xenial) xenial; urgency=high

  * fix refresh of html display for new messages (#49 <https://github.com/ros-visualization/rqt_robot_plugins/issues/49>)

 -- Aaron Blasdel <ablasdel@gmail.com>  Wed, 09 Oct 2013 07:00:00 -0000

ros-kinetic-rqt-runtime-monitor (0.3.0-0xenial) xenial; urgency=high

  * fix event handling (#39 <https://github.com/ros-visualization/rqt_robot_plugins/issues/39>)

 -- Aaron Blasdel <ablasdel@gmail.com>  Wed, 28 Aug 2013 07:00:00 -0000

ros-kinetic-rqt-runtime-monitor (0.2.16-0xenial) xenial; urgency=high

  * First public release into Hydro

 -- Aaron Blasdel <ablasdel@gmail.com>  Tue, 09 Jul 2013 07:00:00 -0000

ros-kinetic-rqt-runtime-monitor (0.2.15-0xenial) xenial; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Thu, 25 Apr 2013 07:00:00 -0000

ros-kinetic-rqt-runtime-monitor (0.2.14-0xenial) xenial; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Fri, 12 Apr 2013 07:00:00 -0000

ros-kinetic-rqt-runtime-monitor (0.2.13-0xenial) xenial; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Tue, 09 Apr 2013 07:00:00 -0000

ros-kinetic-rqt-runtime-monitor (0.2.12-0xenial) xenial; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Sun, 07 Apr 2013 01:22:00 -0000

ros-kinetic-rqt-runtime-monitor (0.2.11-0xenial) xenial; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Sun, 07 Apr 2013 01:00:00 -0000

ros-kinetic-rqt-runtime-monitor (0.2.10-0xenial) xenial; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Thu, 04 Apr 2013 07:00:00 -0000

ros-kinetic-rqt-runtime-monitor (0.2.9-0xenial) xenial; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Thu, 07 Mar 2013 08:00:00 -0000

ros-kinetic-rqt-runtime-monitor (0.2.8-0xenial) xenial; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Fri, 11 Jan 2013 08:00:00 -0000

ros-kinetic-rqt-runtime-monitor (0.2.7-0xenial) xenial; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Sun, 23 Dec 2012 23:58:00 -0000

ros-kinetic-rqt-runtime-monitor (0.2.6-0xenial) xenial; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Sun, 23 Dec 2012 09:57:00 -0000

ros-kinetic-rqt-runtime-monitor (0.2.5-0xenial) xenial; urgency=high





=== debian/control ===
Source: ros-kinetic-rqt-runtime-monitor
Section: misc
Priority: extra
Maintainer: Aaron Blasdel <ablasdel@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin
Homepage: http://wiki.ros.org/rqt_runtime_monitor
Standards-Version: 3.9.2

Package: ros-kinetic-rqt-runtime-monitor
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-rospkg, ros-kinetic-diagnostic-msgs, ros-kinetic-python-qt-binding (>= 0.2.19), ros-kinetic-qt-gui, ros-kinetic-rospy, ros-kinetic-rqt-gui, ros-kinetic-rqt-gui-py
Description: rqt_runtime_monitor provides a GUI plugin viewing DiagnosticsArray messages.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-rqt-runtime-monitor//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
